Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000101 [Piwigo] search minor always 2005.04.18 15:02 2005.09.18 21:09
Reporter mussara View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.4.1 Product Version 1.4.0
  Target Version Product Build
Summary 0000101: problem with IE search on keywords
Description search' function done different results between IE and FF when we use categories ...
it seems that IE don't see each category to make the research...

FF 1.0.1 and IE 6.0.2800.1106 avec PWG 1.4 (and easyphp 1.8)
Steps To Reproduce
Additional Information to view discussion: http://forum.phpwebgallery.net/viewtopic.php?id=3654 [^]
Tags No tags attached.
browser IE
Database engine and version
PHP version 4.3.10
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000104closedplg # caracter in search engine 

-  Notes
(0000115)
gweltas (reporter)
2005.04.26 08:34

Non reproduit actuellement.
En attente des deux URLs : IE et FF.
(0000116)
gweltas (reporter)
2005.04.26 11:35

Problem solved.
The ";" character is not allow in an IE URL. It has been replaced by a "+" character. We should perhaps send all those data by POST rather than GET.
(0000117)
plg (manager)
2005.04.26 22:24

On my FireFox 0.8 at home, character "+" is transformed to a blank space in the $_GET variable :-/ The problem has moved. With character "-", it works fine.

> We should perhaps send all those data by POST rather than GET

I really think it would be a bad idea, how to navigate from page 1 to page 2 of search results ?

A serious option would be to serialize the multi-dimensional array, but it would become unreadable by human, which is not what I wanted first.
(0000127)
plg (manager)
2005.04.30 20:54

@mussara > can you test theses modifications :

in search.php, line 117, replace

$search_string.= implode(';', $tokens);
by
$search_string.= implode('--', $tokens);

and in include/functions_category.inc.php, line 393, replace

$search_tokens = explode(';', $tokens[0]);
by
$search_tokens = explode('--', $tokens[0]);
(0000128)
plg (manager)
2005.04.30 20:55

Reminder sent to: mussara

A test from bug reporter is required :-)
(0000134)
mussara (reporter)
2005.04.30 23:33

it's ok for me
i test yours modifications and search function is ok on internet access with both FF and IE

next monday, i'll test it in intranet access

thanks for all
jp
(0000141)
mussara (reporter)
2005.05.02 07:47

it's ok with intranet access

for me, problem is close!

sincerely
jp
(0000143)
plg (manager)
2005.05.02 21:01

http://cvs.gna.org/viewcvs/phpwebgallery/phpwebgallery/search.php.diff?r1=1.28.2.1&r2=1.28.2.2 [^]
http://cvs.gna.org/viewcvs/phpwebgallery/phpwebgallery/include/category_calendar.inc.php.diff?r1=1.15&r2=1.15.2.1 [^]
http://cvs.gna.org/viewcvs/phpwebgallery/phpwebgallery/include/functions_category.inc.php.diff?r1=1.66&r2=1.66.2.1 [^]
(0000241)
plg (manager)
2005.09.18 21:09

correction reported in BSF (before creationof branch 1.5)

- Issue History
Date Modified Username Field Change
2005.04.18 15:02 mussara New Issue
2005.04.18 15:02 mussara browser => IE
2005.04.18 15:02 mussara PHP version => 4.3.10
2005.04.18 15:02 mussara Web server => Apache 1.3.x
2005.04.26 08:34 gweltas Note Added: 0000115
2005.04.26 11:35 gweltas Note Added: 0000116
2005.04.26 11:35 gweltas Priority normal => high
2005.04.26 11:35 gweltas Status new => resolved
2005.04.26 11:35 gweltas Resolution open => fixed
2005.04.26 11:35 gweltas version 1.4.0 => BSF branch (dev)
2005.04.26 22:20 plg Priority high => low
2005.04.26 22:20 plg version BSF branch (dev) => 1.4.0
2005.04.26 22:24 plg Note Added: 0000117
2005.04.26 22:31 plg Assigned To => plg
2005.04.26 22:31 plg Priority low => normal
2005.04.26 22:31 plg Severity major => minor
2005.04.26 22:31 plg Status resolved => assigned
2005.04.30 17:09 plg Relationship added related to 0000104
2005.04.30 20:54 plg Note Added: 0000127
2005.04.30 20:55 plg Note Added: 0000128
2005.04.30 23:33 mussara Note Added: 0000134
2005.05.02 07:47 mussara Note Added: 0000141
2005.05.02 21:01 plg Status assigned => resolved
2005.05.02 21:01 plg Fixed in Version => 1.4.1
2005.05.02 21:01 plg Note Added: 0000143
2005.09.18 21:09 plg Note Added: 0000241
2005.09.18 21:09 plg Status resolved => closed
2006.06.29 12:37 rub Relationship added related to 0000445
2006.06.29 12:37 rub Relationship deleted related to 0000445


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker